SWTOR system reqs

Discussion in 'Mac and PC Games' started by sk zen, Jul 20, 2011.

  1. sk zen macrumors newbie

    Joined:
    Jun 10, 2011
    #1
    The last few days have been a whirlwind of swtor leaks. Box art, preorder info and now system reqs! Safe to say 2011 MBP owners are fine:

    OS: Windows XP, Windows Vista, Windows 7

    CPU: AMD Athlon 64 X2 Dual Core 4000 or better / Intel Core2 Duo Processor 2.0 Ghz or better

    RAM: At least 1.5 GB or better for XP / 2 GB or better for Windows Vista/7 / PC's using built in graphic chipsets 2 GB RAM is recommended.

    Hard Drive: 8x DVD-ROM or better

    Video: ATI XT800 or better / NVIDIA 7800 or better / Intel 4100 or better. 256 MB minimum video RAM, shader 3.0 or better fully compatible graphics card.

    http://i53.tinypic.com/r85d86.jpg
    http://i56.tinypic.com/1zvs4np.jpg

    Leaked by some retailer. Prob gamestop.
     
  2. neurophysicist macrumors member

    Joined:
    Jul 20, 2011
    Location:
    Dagobah
    #2
    I've been waiting a very long time for this game. I have to say I have never played an MMO, but KOTOR is my favorite game of all time, and I'm a huge star wars fan. Good thing the MBPs should be fine
     
  3. Huntn macrumors G5

    Huntn

    Joined:
    May 5, 2008
    Location:
    The Misty Mountains
    #3
    Do you have a working link for this? Thanks.
     
  4. doh123 macrumors 65816

    Joined:
    Dec 28, 2009
    #4
  5. odog402 macrumors member

    Joined:
    May 26, 2008
  6. soLoredd macrumors 6502a

    Joined:
    Mar 12, 2007
    Location:
    California
    #6
    Dammit, I wish this was native. With those reqs there is no reason for BioWare to not have just done cross-platform. Not sure I want to go about installing W7 just for this. Hmmm...
     
  7. doh123 macrumors 65816

    Joined:
    Dec 28, 2009
    #7
    native would be nice, but luckily with those lower reqs, it should be possible for a Wineskin port to eventually work.
     
  8. archurban macrumors 6502a

    archurban

    Joined:
    Aug 4, 2004
    Location:
    San Francisco, CA
    #8
    now, system requirement is all over the place, including 'can you run it, yougamers'.
     

Share This Page